import request from '@/utils/request'

// 查询压力管道年检报告列表
export function listReportYlgd(query) {
  return request({
    url: '/sems/reportYlgd/list',
    method: 'get',
    params: query
  })
}

// 同步压力管道年检报告数据
export function syncReportYlgd() {
  return request({
    url: '/sems/reportYlgd/sync',
    method: 'get'
  })
}

// 查询压力管道年检报告详细
export function getReportYlgd(id) {
  return request({
    url: '/sems/reportYlgd/' + id,
    method: 'get'
  })
}

// 新增压力管道年检报告
export function addReportYlgd(data) {
  return request({
    url: '/sems/reportYlgd',
    method: 'post',
    data: data
  })
}

// 修改压力管道年检报告
export function updateReportYlgd(data) {
  return request({
    url: '/sems/reportYlgd',
    method: 'put',
    data: data
  })
}

// 删除压力管道年检报告
export function delReportYlgd(id) {
  return request({
    url: '/sems/reportYlgd/' + id,
    method: 'delete'
  })
}

// 导出压力管道年检报告
export function exportReportYlgd(query) {
  return request({
    url: '/sems/reportYlgd/export',
    method: 'get',
    params: query
  })
}
